Page MenuHomePhabricator

Frequent "User NAME exists locally but is not attached" in logs
Closed, ResolvedPublic

Description

There are quite a few User 'NAME' exists locally but is not attached. log messages (currently about 1-2 per hour). The message is from T137551; the usernames are all properly attached though (which means the user impact is small, but it probably breaks the initial central autologin and users have to log in manually on another wiki one more time).

Event Timeline

Tgr created this task.Aug 17 2016, 11:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2016, 11:58 PM
Tgr added a comment.Aug 17 2016, 11:58 PM

(Previous similar cleanup was in T141160)

This maintenance script may be useful - https://gerrit.wikimedia.org/r/#/c/305428/

Tgr added a comment.Aug 26 2016, 8:58 PM

I re-ran the query from T141160#2489124 and it only found four locally unattached users since 2016 Janaury (I fixed those). I spotchecked a few names from the logs and they are all attached. This seems to be some sort of race condition. Maybe SpecialCentralAutoLogin checks the user right after CentralAuthCreateLocalAccountJob has created and attached the user, just when the local connection has been committed but the CA connection still has the transaction open? It seems implausible that it would happen multiple times per hour.

Tgr renamed this task from Clean up unattached local accounts to Frequent "User NAME exists locally but is not attached" in logs.Aug 26 2016, 9:02 PM
Tgr updated the task description. (Show Details)
Tgr closed this task as Resolved.Nov 11 2016, 6:40 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM